﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetBase.h"
#include "ItemAmount.h"

#include "RRDABoilerDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDABoilerDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Boiler")
	int32 mTier = 1;
	
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Boiler")
	FItemAmount mInput;
	
	/**
	 * What this boiler produces
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Boiler")
	FItemAmount mOutput;
	
	/**
	 * Duration for one production
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Boiler")
	float mDuration = 6.f;

	/**
	 * Curve for the production to Heat
	 */
	UPROPERTY( EditDefaultsOnly, BlueprintReadOnly, Category = "Boiler" )
	UCurveFloat* mBoilerCurve;
};