﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "ItemAmount.h"
#include "RRDADataAssetBase.h"
#include "Enums/RRDARPEnums.h"

#include "RRDACoolerDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDACoolerDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * What type of heater this is
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Cooler")
	ERRDACoolerType mType = ERRDACoolerType::Chemical;
	
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Cooler")
	TSubclassOf<UFGItemDescriptor> mItem;

	/**
	 * How much of the item is used
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Cooler")
	int32 mAmount = 1000;
	
	/**
	 * Duration for one production
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Cooler")
	float mDuration = 6.f;
};